Skip to main content
GET
/
v1alpha1
/
inference
/
capacityclaims
List capacity claims
curl --request GET \
  --url https://api.example.com/v1alpha1/inference/capacityclaims
{
  "capacityClaims": [
    {
      "spec": {
        "id": "<string>",
        "name": "<string>",
        "resources": {
          "instanceId": "<string>",
          "instanceCount": 123,
          "capacityType": 123,
          "zones": [
            "<string>"
          ]
        },
        "organizationId": "<string>"
      },
      "status": {
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "status": 123,
        "conditions": [
          {
            "type": "<string>",
            "status": 123,
            "lastUpdateTime": "2023-11-07T05:31:56Z",
            "reason": "<string>",
            "message": "<string>",
            "zone": "<string>"
          }
        ],
        "allocatedInstances": 123,
        "pendingInstances": 123
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

updatedAfter
string<date-time>

Filter by those updated after this timestamp

Response

OK

Response for ListCapacityClaims

capacityClaims
object[]
read-only

The list of CapacityClaims

Last modified on May 6, 2026